#113758 Report by node gh-actions covering 1974 tests from 48 modules resulted into 14 errors

Report

ObsPy version
0.0.0.dev+0.g3c8bc45ebe
Continuous Integration
-
GitHub Pull Request
-
Report file
XML document
Total runtime
247.4 sec
Report date/time
2021-04-12 03:24:42

System / Python

Architecture
64bit
Machine
x86_64
Node
gh-actions
Processor
x86_64
Python Compiler
GCC 9.3.0
Python Implementation
CPython
Python Version
3.7.10
Release
5.4.0-1043-azure
System
Linux
Version
#45-Ubuntu SMP Fri Mar 19 17:33:38 UTC 2021

Dependencies

cartopy
---
decorator
5.0.6
flake8
---
geographiclib
---
lxml.etree
4.6.3
m2crypto
---
matplotlib
3.4.1
mock
4.0.3
mpl_toolkits.basemap
---
numpy
1.20.2
pep8-naming
---
pyflakes
---
pyimgur
0.6.0
pyproj
1.9.6
requests
2.25.1
scipy
1.6.2
setuptools
49.6.0.post20210108
shapefile
2.1.3
sqlalchemy
1.4.7

Modules (48)

Module Errors / Failures Tracebacks
obspy.clients.arclink Not tested -
obspy.clients.earthworm Not tested -
obspy.clients.fdsn Not tested -
obspy.clients.filesystem - -
obspy.clients.iris Not tested -
obspy.clients.neic Not tested -
obspy.clients.nrl Not tested -
obspy.clients.seedlink Not tested -
obspy.clients.seishub Not tested -
obspy.clients.syngine Not tested -
obspy.core - -
obspy.db Not tested -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.dmx - -
obspy.io.focmec - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.hypodd - -
obspy.io.iaspei - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.rg16 - -
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp 14 1 2 3 4 5 6 7 8 9 10 11 12 13 14
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal - -
obspy.taup - -
Summary 14 14

Tracebacks (14)

Traceback (most recent call last):
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/tests/test_event.py", line 249, in test_read_field_sc3ml0_10
'field_sc3ml0.10_res.xml')
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/tests/test_event.py", line 77, in cmp_read_xslt_file
if not validate_sc3ml(sc3ml_doc):
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/core.py", line 115, in validate
% (version, ', '.join(SUPPORTED_XSD_VERSION)))
ValueError: 0.11 is not a supported version. Use one of these versions: [0.3, 0.5, 0.6, 0.7, 0.8, 0.9, 0.10].
Traceback (most recent call last):
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/tests/test_event.py", line 173, in test_read_xslt_amplitude
'quakeml_1.2_amplitude_res.xml')
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/tests/test_event.py", line 77, in cmp_read_xslt_file
if not validate_sc3ml(sc3ml_doc):
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/core.py", line 115, in validate
% (version, ', '.join(SUPPORTED_XSD_VERSION)))
ValueError: 0.11 is not a supported version. Use one of these versions: [0.3, 0.5, 0.6, 0.7, 0.8, 0.9, 0.10].
Traceback (most recent call last):
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/tests/test_event.py", line 160, in test_read_xslt_arrival
'quakeml_1.2_arrival.xml')
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/tests/test_event.py", line 77, in cmp_read_xslt_file
if not validate_sc3ml(sc3ml_doc):
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/core.py", line 115, in validate
% (version, ', '.join(SUPPORTED_XSD_VERSION)))
ValueError: 0.11 is not a supported version. Use one of these versions: [0.3, 0.5, 0.6, 0.7, 0.8, 0.9, 0.10].
Traceback (most recent call last):
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/tests/test_event.py", line 156, in test_read_xslt_data_used_in_moment_tensor
'quakeml_1.2_data_used.xml')
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/tests/test_event.py", line 77, in cmp_read_xslt_file
if not validate_sc3ml(sc3ml_doc):
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/core.py", line 115, in validate
% (version, ', '.join(SUPPORTED_XSD_VERSION)))
ValueError: 0.11 is not a supported version. Use one of these versions: [0.3, 0.5, 0.6, 0.7, 0.8, 0.9, 0.10].
Traceback (most recent call last):
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/tests/test_event.py", line 135, in test_read_xslt_event
'quakeml_1.2_event_res.xml')
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/tests/test_event.py", line 77, in cmp_read_xslt_file
if not validate_sc3ml(sc3ml_doc):
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/core.py", line 115, in validate
% (version, ', '.join(SUPPORTED_XSD_VERSION)))
ValueError: 0.11 is not a supported version. Use one of these versions: [0.3, 0.5, 0.6, 0.7, 0.8, 0.9, 0.10].
Traceback (most recent call last):
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/tests/test_event.py", line 181, in test_read_xslt_example
'qml-example-1.2-RC3.xml')
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/tests/test_event.py", line 77, in cmp_read_xslt_file
if not validate_sc3ml(sc3ml_doc):
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/core.py", line 115, in validate
% (version, ', '.join(SUPPORTED_XSD_VERSION)))
ValueError: 0.11 is not a supported version. Use one of these versions: [0.3, 0.5, 0.6, 0.7, 0.8, 0.9, 0.10].
Traceback (most recent call last):
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/tests/test_event.py", line 168, in test_read_xslt_focalmechanism
'quakeml_1.2_focalmechanism_res.xml')
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/tests/test_event.py", line 77, in cmp_read_xslt_file
if not validate_sc3ml(sc3ml_doc):
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/core.py", line 115, in validate
% (version, ', '.join(SUPPORTED_XSD_VERSION)))
ValueError: 0.11 is not a supported version. Use one of these versions: [0.3, 0.5, 0.6, 0.7, 0.8, 0.9, 0.10].
Traceback (most recent call last):
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/tests/test_event.py", line 177, in test_read_xslt_iris_events
self.cmp_read_xslt_file('iris_events.sc3ml', 'iris_events_res.xml')
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/tests/test_event.py", line 77, in cmp_read_xslt_file
if not validate_sc3ml(sc3ml_doc):
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/core.py", line 115, in validate
% (version, ', '.join(SUPPORTED_XSD_VERSION)))
ValueError: 0.11 is not a supported version. Use one of these versions: [0.3, 0.5, 0.6, 0.7, 0.8, 0.9, 0.10].
Traceback (most recent call last):
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/tests/test_event.py", line 143, in test_read_xslt_magnitude
'quakeml_1.2_magnitude.xml')
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/tests/test_event.py", line 77, in cmp_read_xslt_file
if not validate_sc3ml(sc3ml_doc):
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/core.py", line 115, in validate
% (version, ', '.join(SUPPORTED_XSD_VERSION)))
ValueError: 0.11 is not a supported version. Use one of these versions: [0.3, 0.5, 0.6, 0.7, 0.8, 0.9, 0.10].
Traceback (most recent call last):
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/tests/test_event.py", line 139, in test_read_xslt_origin
'quakeml_1.2_origin_res.xml')
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/tests/test_event.py", line 77, in cmp_read_xslt_file
if not validate_sc3ml(sc3ml_doc):
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/core.py", line 115, in validate
% (version, ', '.join(SUPPORTED_XSD_VERSION)))
ValueError: 0.11 is not a supported version. Use one of these versions: [0.3, 0.5, 0.6, 0.7, 0.8, 0.9, 0.10].
Traceback (most recent call last):
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/tests/test_event.py", line 164, in test_read_xslt_pick
'quakeml_1.2_pick.xml')
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/tests/test_event.py", line 77, in cmp_read_xslt_file
if not validate_sc3ml(sc3ml_doc):
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/core.py", line 115, in validate
% (version, ', '.join(SUPPORTED_XSD_VERSION)))
ValueError: 0.11 is not a supported version. Use one of these versions: [0.3, 0.5, 0.6, 0.7, 0.8, 0.9, 0.10].
Traceback (most recent call last):
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/tests/test_event.py", line 152, in test_read_xslt_station_magnitude
'quakeml_1.2_stationmagnitude.xml')
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/tests/test_event.py", line 77, in cmp_read_xslt_file
if not validate_sc3ml(sc3ml_doc):
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/core.py", line 115, in validate
% (version, ', '.join(SUPPORTED_XSD_VERSION)))
ValueError: 0.11 is not a supported version. Use one of these versions: [0.3, 0.5, 0.6, 0.7, 0.8, 0.9, 0.10].
Traceback (most recent call last):
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/tests/test_event.py", line 148, in test_read_xslt_station_magnitude_contribution
'quakeml_1.2_stationmagnitudecontributions.xml')
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/tests/test_event.py", line 77, in cmp_read_xslt_file
if not validate_sc3ml(sc3ml_doc):
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/core.py", line 115, in validate
% (version, ', '.join(SUPPORTED_XSD_VERSION)))
ValueError: 0.11 is not a supported version. Use one of these versions: [0.3, 0.5, 0.6, 0.7, 0.8, 0.9, 0.10].
Traceback (most recent call last):
File "/home/runner/work/obspy/obspy/obspy/io/seiscomp/tests/test_event.py", line 123, in test_sc3ml_versions
self.assertEqual(e.exception.args[0], expected_message)
AssertionError: "Can'[31 chars] can deal with versions [0.5, 0.6, 0.7, 0.8, 0.9, 0.10, 0.11]." != "Can'[31 chars] can deal with versions [0.5, 0.6, 0.7, 0.8, 0.9, 0.10]."
- Can't read SC3ML version 0.3, ObsPy can deal with versions [0.5, 0.6, 0.7, 0.8, 0.9, 0.10, 0.11].
? ------
+ Can't read SC3ML version 0.3, ObsPy can deal with versions [0.5, 0.6, 0.7, 0.8, 0.9, 0.10].

Skipped tests (34)

Submodule Test Skip message
core test_combined_station_event_plot (obspy.core.tests.test_inventory.InventoryBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_plot_catalog_before_1900 (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_plot_farfield_without_quiver_with_maps (obspy.core.tests.test_event.EventTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) Formatting tests require at least flake8 3.0.
core test_location_plot_global (obspy.core.tests.test_network.NetworkBasemapTestCase) no or invalid basemap installation
core test_location_plot_local (obspy.core.tests.test_network.NetworkBasemapTestCase) no or invalid basemap installation
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkBasemapTestCase) no or invalid basemap installation
core test_location_plot_global (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
geodetics test_gps_2_dist_azimuth_with_geographiclib (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is not installed
geodetics test_issue_375 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is not installed
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.
signal test_ppsd_spectrogram_plot (obspy.signal.tests.test_spectral_estimation.PsdTestCase) matplotlib >= 3 shifts labels
taup test_path_geo (obspy.taup.tests.test_taup_geo.TaupGeoTestCase) Module geographiclib is not installed or too old.
taup test_path_resampling (obspy.taup.tests.test_taup_geo.TaupGeoTestCase) Module geographiclib is not installed or too old.
taup test_compute_ray_paths (obspy.taup.tests.test_ray_paths.RayPathCalculationsTestCase) test needs geographiclib >= 1.34
taup test_p_iasp91_geo_manual (obspy.taup.tests.test_tau.TauPyModelTestCase) Module geographiclib is not installed
taup test_pierce_p_iasp91_geo (obspy.taup.tests.test_tau.TauPyModelTestCase) test needs geographiclib >= 1.34
taup test_single_path_geo_iasp91 (obspy.taup.tests.test_tau.TauPyModelTestCase) test needs geographiclib >= 1.34

Slowest tests (20)

Runtime Test
11.839s test_response_calculation_from_seed_and_xseed (obspy.io.xseed.tests.test_core.CoreTestCase)
10.410s __init__ (obspy.taup)
8.526s test_ppsd_restricted_stacks (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
7.649s test_shoot_existing_ray_param (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)
7.118s test_plot_multiple_traces (obspy.imaging.tests.test_waveform.WaveformTestCase)
4.854s plot_travel_times (obspy.taup.tau)
4.490s test_remove_response_plot (obspy.core.tests.test_trace.TraceTestCase)
4.092s test_vs_java_iasp91 (obspy.taup.tests.test_tau.TauPyModelTestCase)
4.073s test_regional_models (obspy.taup.tests.test_tau.TauPyModelTestCase)
3.808s test_relcal_different_overlaps (obspy.signal.tests.test_calibration.CalibrationTestCase)
3.114s test_many_identically_named_phases (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)
3.084s test_correlate_stream_template_and_correlation_detector (obspy.signal.tests.test_cross_correlation.CrossCorrelationTestCase)
2.997s read (obspy.core.stream)
2.986s test_auto_read_arclink_xml (obspy.io.arclink.tests.test_inventory_xml.ArclinkInventoryTestCase)
2.936s test_polarization_vidale (obspy.signal.tests.test_polarization.PolarizationTestCase)
2.486s test_rotate2zne_against_lqt_different_combinations (obspy.signal.tests.test_rotate.RotateTestCase)
2.171s test_plot_tf_misfits (obspy.signal.tests.test_tf_misfit.TfPlotTestCase)
2.129s test_plot_tf_gofs (obspy.signal.tests.test_tf_misfit.TfPlotTestCase)
2.012s test_plot_travel_times_convenience (obspy.taup.tests.test_plotting.TauPyPlottingTestCase)
1.863s test_earthquake_models (obspy.signal.tests.test_spectral_estimation.PsdTestCase)

Chuck Norris fact

Chuck Norris can write infinite recursion functions and have them return.